Bug 760689 - Packaging issues
Packaging issues
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: PyOpenGL (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Matthew Barnes
BaseOS QE - Apps
:
Depends On: 760366
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-06 14:11 EST by Matěj Cepl
Modified: 2017-01-09 10:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 760366
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2011-12-06 14:11:47 EST
This has been fixed in Rawhide, but we have been blessed with this package in RHEL as well.

+++ This bug was initially created as a clone of Bug #760366 +++

Description of problem:
I see couple of packaging problems here:

- according to OpenGL/DLLS/gle_COPYING this package is covered by alternate license, either GPLv2 or some kind of IBM license (I am not sure what kind of lincese it is, and whether it is allowed under Fedora Licensing Guidelines, it is certainly not http://www.opensource.org/licenses/ibmpl.php, which would be OK).
- quite certainly, at least this part of the package is not covered by BSD (which is what License claims), however, I suspect this package covers some other directories as well?
- this directory contains only binary compiled files (.DLL files), which is not allowed in src.rpms. You have to remove them modify tarball and remove them before uploading the src.rpm to Fedora.

Version-Release number of selected component (if applicable):
PyOpenGL-3.0.1-2

--- Additional comment from nikolay@vladimiroff.com on 2011-12-05 23:50:09 CET ---

Thanks, I didn't notice the files. 

I'll remove the files from the tarball and push an update. 

Is there anything else I should do, like removing old builds or notifying someone to get rid of all the copies of this archive on fedora servers?

--- Additional comment from nikolay@vladimiroff.com on 2011-12-06 00:44:14 CET ---

Upstream bug:
https://sourceforge.net/tracker/?func=detail&aid=3451797&group_id=5988&atid=105988

--- Additional comment from updates@fedoraproject.org on 2011-12-06 00:49:07 CET ---

PyOpenGL-3.0.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/PyOpenGL-3.0.1-3.fc16

--- Additional comment from updates@fedoraproject.org on 2011-12-06 00:50:42 CET ---

PyOpenGL-3.0.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/PyOpenGL-3.0.1-3.fc15

--- Additional comment from updates@fedoraproject.org on 2011-12-06 00:58:22 CET ---

PyOpenGL-3.0.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/PyOpenGL-3.0.1-3.fc14

--- Additional comment from nikolay@vladimiroff.com on 2011-12-06 01:07:36 CET ---

Looking at the build history and downloading the SRPMs
http://koji.fedoraproject.org/koji/packageinfo?packageID=1224

The DLLs were included for the 3.0.0 release around F12. I then made packages for F11, F10 as still supported releases around that time. 

I've updated the package to all sported releases and this bug will not be auto closed by any transition to stable. 

What next steps I can take to fully resolve this issue?

--- Additional comment from mcepl@redhat.com on 2011-12-06 12:12:07 CET ---

(In reply to comment #1)
> Thanks, I didn't notice the files. 
> 
> I'll remove the files from the tarball and push an update. 
> 
> Is there anything else I should do, like removing old builds or notifying
> someone to get rid of all the copies of this archive on fedora servers?

It is not crucial but I am not exactly sure, which exactly files are covered by which license.

And yes, License tag is wrong. Package is quite certainly not governed exclusively by BSD.

I think you need to spend a moment to make sure you know what each file in the distribution is covered by and (if you won't find other disasters) fix License tag accordingly.

--- Additional comment from nikolay@vladimiroff.com on 2011-12-06 14:01:37 CET ---

The licence.txt file documents all the licenses used in the source distribution. I saw no license headers in the .py files. 

However I'm not a lawyer and I have no idea how to handle all the custom licenses where no "BSD-style license" was specified in the license header. 

I'll go trough:
http://fedoraproject.org/wiki/Licensing:Main
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines

And the license texts themselves so that I can figure out some adequate license tag for the spec file. 

However I have a somewhat demanding job and everyday stuff to do, and going trough and analyzing license texts is not extremely fun.

I'll most probably orphan the package in a few days if I can't manage to handle this.

--- Additional comment from mcepl@redhat.com on 2011-12-06 20:10:18 CET ---

> However I'm not a lawyer and I have no idea how to handle all the custom
> licenses where no "BSD-style license" was specified in the license header. 

When the text of the license is same, it is the BSD license without regard it was used by somebody else than University of California, Berkeley.

> And the license texts themselves so that I can figure out some adequate license
> tag for the spec file. 

It actually seems that aside from OpenGL/DLLS/ (which you have removed), and OpenGL/Tk/ (which is not present already) everything else actually is BSD.

Closing as fixed in the RAWHIDE.
Comment 3 Suzanne Yeghiayan 2012-02-14 18:22:54 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 4 RHEL Product and Program Management 2012-07-10 04:24:05 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2012-07-10 21:57:47 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 6 Tom "spot" Callaway 2012-07-27 13:11:23 EDT
Not a Fedora bug, lifting FE-Legal.
Comment 7 RHEL Product and Program Management 2012-09-07 01:33:01 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 8 Christopher Meng 2013-08-14 23:07:28 EDT
Hi Matěj,

Is it solved now?

I'm maintaining pyopengl now.

Thanks.
Comment 9 Matěj Cepl 2013-08-15 04:31:32 EDT
(In reply to Christopher Meng from comment #8)
> Is it solved now?
> 
> I'm maintaining pyopengl now.

Wait, you are maintaining RHEL (not EPEL, but the RHEL proper) package and you are not a Red Hat employee? What's going on?
Comment 11 Christopher Meng 2013-08-15 04:38:45 EDT
No no, oh sorry, I mean 760366.

I don't know what happened before, I took over Fedora package days ago. I saw 760366 and saw that it blocks this one.

Note You need to log in before you can comment on or make changes to this bug.